<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
//use Excel;

class ImportExcelController extends Controller
{
    function index()
    {
       //$data = DB::table('table1')->join('table3', 'table3.name', '=', 'table1.name')->select('table1.id', 'table3.age')->get();
        $data = DB::table('table2')->get();
        return view('import_excel', compact('data'));

    }


    function import(Request $request)
    {
        $this->validate($request, ['select_file'  => 'required|mimes:xls,xlsx']);

        $path = $request->file('select_file')->getRealPath();

        $data = \Excel::load($path)->get();

        if($data->count() > 0)
        {
            foreach($data->toArray() as $key => $value)
            {
                foreach($value as $row)
                {
                    $insert_data[] = array(
                        'name'   => $row[0],
                        'age'   => $row[1],
                        'gender'   => $row[2],
                        'address'  => $row[3],
                        'cno1'   => $row[4],
                        'cno2'   => $row[5],
                        'cno3'  => $row[6],
                        'cno4'   => $row[7],
                    );
                }
            }

            if(!empty($insert_data))
            {
                DB::table('tableexcel')->insert($insert_data);
            }
        }
        return back()->with('success', 'Excel Data Imported successfully.');
    }


    function excel(){
        $student_data = DB ::table('tableexcel')->select('name', 'age')->get()->toArray();
        $student_array[] = array('name','age');
        foreach ($student_data as $student){
            $student_array[] = array(
                'name' => $student ->name,
                'age' => $student ->age,

            );
        }





        return \Excel::create('student data1', function($excel) use ($student_array) {

            $excel->sheet('sheet name', function($sheet) use ($student_array)

            {

                $sheet->fromArray($student_array);

            });

        })->download('xlsx');


    }

    function excel1(){
        $student_data = DB ::table('tableexcel')->select('gender', 'address')->get()->toArray();
        $student_array[] = array('gender','address');
        foreach ($student_data as $student){
            $student_array[] = array(
                'gender' => $student ->gender,
                'address' => $student ->address,

            );
        }





        return \Excel::create('student data1', function($excel) use ($student_array) {

            $excel->sheet('sheet name', function($sheet) use ($student_array)

            {

                $sheet->fromArray($student_array);

            });

        })->download('xlsx');


    }

    function excel2(){
        $student_data = DB ::table('tableexcel')->select('cno1', 'cno2')->get()->toArray();
        $student_array[] = array('cno1','cno2');
        foreach ($student_data as $student){
            $student_array[] = array(
                'cno1' => $student ->cno1,
                'cno2' => $student ->cno2,

            );
        }





        return \Excel::create('student data2', function($excel) use ($student_array) {

            $excel->sheet('sheet name', function($sheet) use ($student_array)

            {

                $sheet->fromArray($student_array);

            });

        })->download('xlsx');


    }
    function excel3(){
        $student_data = DB ::table('tableexcel')->select('cno3', 'cno4')->get()->toArray();
        $student_array[] = array('cno3','cno4');
        foreach ($student_data as $student){
            $student_array[] = array(
                'cno3' => $student ->cno3,
                'cno4' => $student ->cno4,

            );
        }





        return \Excel::create('student data3', function($excel) use ($student_array) {

            $excel->sheet('sheet name', function($sheet) use ($student_array)

            {

                $sheet->fromArray($student_array);

            });

        })->download('xlsx');


    }




}
