
<!doctype html>
<html lang="en">
<head>
    <title>Import Excel File using Laravel</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <body>
    <br>
        <div class="container">
            <h1>Farmer Information</h1>
            <br>
            @if(count($errors) >0)
                <div>
                    upload validation errror<br>
                    <ul>
                        @foreach($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            @if($message = Session::get('success'))
                <div>
                    <strong>{{ $message }}</strong>
                </div>

            @endif

            <h6>Original Document</h6>

            {{--"{{action('TestController@store')}}"--}}
            <form  method = "post" action="{{ url('/import_excel/import') }}" enctype="multipart/form-data">
                {{--<form  method = "post" action="{{action('import_excel@import')}}">--}}
                {{ csrf_field() }}

                <div class="form-group">
                    <table>
                        <td><label>Select File Upload</label></td>
                        <td>
                            <input type="file" name="select_file" />
                        </td>
                        <td>
                            <input type="submit" name="upload" class="btn-primary" value="upload original sheet" />
                        </td>
                    </table>

                </div>

            </form>
            <form  method = "post" action="{{ url('/import_excel/importnewtable') }}" enctype="multipart/form-data">
                {{--<form  method = "post" action="{{action('import_excel@import')}}">--}}
                {{ csrf_field() }}


                <a href="{{ route('import_excel.excel') }}" class = "btn btn-success">Export</a>
                <a href="{{ route('import_excel.destroy') }}"  class = "btn btn-danger">Clear</a>


            </form>
            <form  method = "post" action="{{ url('/import_excel/importupdated') }}" enctype="multipart/form-data">
                {{--<form  method = "post" action="{{action('import_excel@import')}}">--}}
                {{ csrf_field() }}
                <br>
                <div class="form-group">
                    <h6>For Remove Duplicate</h6>
                    <table>
                        <td><label>Select File Upload</label></td>
                        <td>
                            <input type="file" name="select_file" />
                        </td>
                        <td>
                            <input type="submit" name="upload" class="btn-primary" value="upload updated sheet" />
                        </td>
                    </table>

                </div>

            </form>
            {{--"{{action('TestController@store')}}"--}}

            <br>

            <form  method = "post" action="{{ url('/import_excel/exporttable') }}" enctype="multipart/form-data">
                {{--<form  method = "post" action="{{action('import_excel@import')}}">--}}
                {{ csrf_field() }}


                <a href="{{ route('import_excel.excelupdated') }}" class = "btn btn-success">Export updated table</a>
                <a href="{{ route('import_excel.destroyupdated') }}"  class = "btn btn-danger">Clear</a>




            </form>

        </div>



    </body>
</html>
