
<!doctype html>
<html lang="en">
<head>
    <title>Import Excel File using Laravel</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
<body>
<br>
<div class="container">
    <h1>Farmer Information</h1>
    <br>
    <?php if(count($errors) >0): ?>
        <div>
            upload validation errror<br>
            <ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><?php echo e($error); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>

    <?php if($message = Session::get('success')): ?>
        <div>
            <strong><?php echo e($message); ?></strong>
        </div>

    <?php endif; ?>

    <h6>Upload DS File</h6>

    
    <form  method = "post" action="<?php echo e(url('/other_excel/importdstable')); ?>" enctype="multipart/form-data">
        
        <?php echo e(csrf_field()); ?>


        <div class="form-group">
            <table>
                <td><label>Select File Upload</label></td>
                <td>
                    <input type="file" name="select_file" />
                </td>
                <td>
                    <input type="submit" name="upload" class="btn-primary" value="upload" />
                </td>
            </table>

        </div>

    </form>

    <form  method = "post" action="<?php echo e(url('/other_excel/importgntable')); ?>" enctype="multipart/form-data">
        
        <?php echo e(csrf_field()); ?>

        <br>
        <div class="form-group">
            <h6>Upload GN File</h6>
            <table>
                <td><label>Select File Upload</label></td>
                <td>
                    <input type="file" name="select_file" />
                </td>
                <td>
                    <input type="submit" name="upload" class="btn-primary" value="upload" />
                </td>
            </table>

        </div>

    </form>
    <form  method = "post" action="<?php echo e(url('/other_excel/importasctable')); ?>" enctype="multipart/form-data">
        
        <?php echo e(csrf_field()); ?>

        <br>
        <div class="form-group">
            <h6>Upload ASC File</h6>
            <table>
                <td><label>Select File Upload</label></td>
                <td>
                    <input type="file" name="select_file" />
                </td>
                <td>
                    <input type="submit" name="upload" class="btn-primary" value="upload" />
                </td>
            </table>

        </div>

    </form>

    <form  method = "post" action="<?php echo e(url('/other_excel/importdisticttable')); ?>" enctype="multipart/form-data">
        
        <?php echo e(csrf_field()); ?>

        <br>
        <div class="form-group">
            <h6>Upload Distict File</h6>
            <table>
                <td><label>Select File Upload</label></td>
                <td>
                    <input type="file" name="select_file" />
                </td>
                <td>
                    <input type="submit" name="upload" class="btn-primary" value="upload" />
                </td>
            </table>

        </div>

    </form>



</div>



</body>
</html>
