
<!doctype html>
<html lang="en">
<head>
    <title>Import Excel File using Laravel</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <body>
    <br>
        <div class="container">
            <h1>Farmer Information</h1>
            <br>
            <?php if(count($errors) >0): ?>
                <div>
                    upload validation errror<br>
                    <ul>
                        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><?php echo e($error); ?></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            <?php endif; ?>

            <?php if($message = Session::get('success')): ?>
                <div>
                    <strong><?php echo e($message); ?></strong>
                </div>

            <?php endif; ?>

            <h6>Original Document</h6>

            
            <form  method = "post" action="<?php echo e(url('/import_excel/import')); ?>" enctype="multipart/form-data">
                
                <?php echo e(csrf_field()); ?>


                <div class="form-group">
                    <table>
                        <td><label>Select File Upload</label></td>
                        <td>
                            <input type="file" name="select_file" />
                        </td>
                        <td>
                            <input type="submit" name="upload" class="btn-primary" value="upload original sheet" />
                        </td>
                    </table>

                </div>

            </form>
            <form  method = "post" action="<?php echo e(url('/import_excel/importnewtable')); ?>" enctype="multipart/form-data">
                
                <?php echo e(csrf_field()); ?>



                <a href="<?php echo e(route('import_excel.excel')); ?>" class = "btn btn-success">Export</a>
                <a href="<?php echo e(route('import_excel.destroy')); ?>"  class = "btn btn-danger">Clear</a>


            </form>
            <form  method = "post" action="<?php echo e(url('/import_excel/importupdated')); ?>" enctype="multipart/form-data">
                
                <?php echo e(csrf_field()); ?>

                <br>
                <div class="form-group">
                    <h6>For Remove Duplicate</h6>
                    <table>
                        <td><label>Select File Upload</label></td>
                        <td>
                            <input type="file" name="select_file" />
                        </td>
                        <td>
                            <input type="submit" name="upload" class="btn-primary" value="upload updated sheet" />
                        </td>
                    </table>

                </div>

            </form>
            

            <br>

            <form  method = "post" action="<?php echo e(url('/import_excel/exporttable')); ?>" enctype="multipart/form-data">
                
                <?php echo e(csrf_field()); ?>



                <a href="<?php echo e(route('import_excel.excelupdated')); ?>" class = "btn btn-success">Export updated table</a>
                <a href="<?php echo e(route('import_excel.destroyupdated')); ?>"  class = "btn btn-danger">Clear</a>




            </form>

        </div>



    </body>
</html>
